{: test that a compilation error occurs when assign() is called with
   incorrect arguments }

program e1015( output );


var
   f  : text;
   f1 : integer;


begin { e1015 }

   assign( f, 'myfile.dat', f1 );
   writeln( 'assign error not detected' );
end. { e1015 }

